Bug 1421288 - The volume controls don't work
Summary: The volume controls don't work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anyremote
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anyremote
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 21:33 UTC by Göran Uddeborg
Modified: 2018-01-11 14:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:25:19 UTC
Type: Bug


Attachments (Terms of Use)
Suggested fix. (755 bytes, patch)
2017-02-10 21:33 UTC, Göran Uddeborg
no flags Details | Diff

Description Göran Uddeborg 2017-02-10 21:33:32 UTC
Created attachment 1249152 [details]
Suggested fix.

Description of problem:
When using anyremote, I'm able to start and stop playback etc.  But changing the volume has no effect.

Version-Release number of selected component (if applicable):
anyremote-data-6.6.1-1.fc25.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. anyremote -f /usr/share/anyremote/cfg-data/Server-mode/rhythmbox.cfg -s tcp:5197
2. Click the button to increase or decrease the volume.


Actual results:
No volume change.  An error message occurs in the terminal where I start anyremote:

  You have to specify a sink name/index and a volume


Expected results:
Volume change.


Additional info:
I believe I've figured out what goes wrong.  Anyremote uses the command "pactl stat" to find out what the default sink is.  But the version of pactl in F25 doesn't include any such information.  That makes a variable definition empty, and later pactl is called with too few arguments.  It is pactl printing the error message.

The default sink can be found from the output of "pacmd dump" with the F25 pulseaudio.  I modified the configuration file on my system, and after that the volume controls work again.  See the attached patch for the details.

I have sent a report upstreams to the developer.  I haven't got any reply yet.  He might wish to consider compatibility with different pulseaudio versions, which could make it a bit more complicated.  But in an F25 context, and most likely F24 context too, I believe the patch to be safe.

Comment 1 Fedora End Of Life 2017-11-16 19:13:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:25:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 anyremote 2018-01-11 14:14:29 UTC
In fact, proposed fix is integrated in anyRemote SVN and willbe available 
at next release


Note You need to log in before you can comment on or make changes to this bug.